import { Component, ReactElement, ReactNode } from 'react';
import TableContext, { TableContextValue } from '../TableContext';
import DataSet from '../../data-set/DataSet';
import { ButtonProps } from '../../button/Button';
import { PaginationProps } from '../../pagination/Pagination';
export interface FilterBarProps {
    prefixCls?: string;
    placeholder?: string;
    dataSet: DataSet;
    queryDataSet?: DataSet;
    paramName: string;
    buttons: ReactElement<ButtonProps>[];
    pagination?: ReactElement<PaginationProps>;
    editable?: boolean;
    onQuery?: () => void;
    onReset?: () => void;
}
export default class TableFilterBar extends Component<FilterBarProps, any> {
    static get contextType(): typeof TableContext;
    static defaultProps: {
        paramName: string;
    };
    context: TableContextValue;
    get prefixCls(): string;
    renderSuffix(): JSX.Element;
    getButtons(): ReactNode;
    render(): ({} | null | undefined)[];
}
